gpdftk 1204.1
authorProgfou <jean-christophe.andre@auf.org>
Tue, 27 May 2014 18:57:06 +0000 (14:57 -0400)
committerProgfou <jean-christophe.andre@auf.org>
Tue, 27 May 2014 18:57:06 +0000 (14:57 -0400)
* nouvelle version pour Precise
* correction de l'architecture : any -> all (= indépendant de l'archi.)
* changement du visionneur PDF : epdfviewer -> xdg-open

18 files changed:
gpdftk/Makefile
gpdftk/debian/changelog
gpdftk/debian/control
gpdftk/debian/copyright
gpdftk/debian/dirs [deleted file]
gpdftk/debian/files [new file with mode: 0644]
gpdftk/debian/gpdftk.debhelper.log [new file with mode: 0644]
gpdftk/debian/gpdftk.substvars [new file with mode: 0644]
gpdftk/debian/gpdftk/DEBIAN/control [new file with mode: 0644]
gpdftk/debian/gpdftk/DEBIAN/md5sums [new file with mode: 0644]
gpdftk/debian/gpdftk/usr/bin/gpdftk [new file with mode: 0755]
gpdftk/debian/gpdftk/usr/share/applications/gpdftk.desktop [new file with mode: 0644]
gpdftk/debian/gpdftk/usr/share/doc/gpdftk/changelog.gz [new file with mode: 0644]
gpdftk/debian/gpdftk/usr/share/doc/gpdftk/copyright [new file with mode: 0644]
gpdftk/debian/manpage.1.ex [deleted file]
gpdftk/debian/rules
gpdftk/gpdftk
gpdftk/gpdftk.desktop

index 970fd78..f43e26c 100644 (file)
@@ -1,3 +1,4 @@
+PACKAGE = $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 VERSION = $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 DIST = $(shell dpkg-parsechangelog | sed -n 's/^Distribution: //p')
 
@@ -6,14 +7,17 @@ all: build
 build:
 
 install:
+       install -m 0755 -d $(DESTDIR)/usr/bin
        install -m 0755 gpdftk $(DESTDIR)/usr/bin/
+       install -m 0755 -d $(DESTDIR)/usr/share/applications
        install -m 0644 gpdftk.desktop $(DESTDIR)/usr/share/applications/
 
 clean:
 
-test:
-       debuild -I.git -I*.ex -b -us -uc && sudo debi
+deb:
+       debuild -I.git -I*.ex -us -uc -b && \
+       echo -e "\n\n==> Lancer \"sudo debi\" pour tester l'installation.\n"
 
 release:
-       debuild -I.git -I*.ex -tc && debrelease --dput $(DIST)-test
+       debuild -I.git -I*.ex -tc -sa -us -uc && debrelease --dput $(DIST)-test
 
index 5d9af7a..ab9ae49 100644 (file)
@@ -1,3 +1,11 @@
+gpdftk (1204.1) precise; urgency=low
+
+  * nouvelle version pour Precise
+  * correction de l'architecture : any -> all (= indépendant de l'archi.)
+  * changement du visionneur PDF : epdfviewer -> xdg-open
+
+ -- Progfou <jean-christophe.andre@auf.org>  Tue, 27 May 2014 10:54:03 -0400
+
 gpdftk (1.3) jaunty; urgency=low
 
   * corriger logiciel de visualisation des pdf
index 0667afd..80302bc 100644 (file)
@@ -1,13 +1,13 @@
 Source: gpdftk
 Section: text
 Priority: optional
-Maintainer: Doan Manh Ha <doan.manh.ha@auf.org>
+Maintainer: Đoàn Mạnh Hà <doan.manh.ha@auf.org>
 Build-Depends: debhelper (>= 7)
 Standards-Version: 3.8.0
-Homepage: http://git.auf.org/?p=progfou.git;a=blob_plain;f=outils/gpdftk
+Homepage: http://git.auf.org/?p=dmha.git;a=tree;f=gpdftk
 
 Package: gpdftk
-Architecture: any
-Depends: pdftk, nautilus, epdfview, zenity
+Architecture: all
+Depends: pdftk, zenity, nautilus, xdg-utils
 Description: graphic interface to pdftk
- Graphic interface to pdftk.
+ A graphic interface to help using pdftk.
index f6bc6be..6b981e6 100644 (file)
@@ -1,18 +1,18 @@
 This package was debianized by:
 
-    Doan Manh Ha <doan.manh.ha@auf.org> on Mon, 05 Apr 2010 12:11:33 +0700
+    Đoàn Mạnh Hà <doan.manh.ha@auf.org> on Mon, 05 Apr 2010 12:11:33 +0700
 
 It was downloaded from:
 
-    http://git.auf.org/?p=progfou.git;a=blob_plain;f=outils/gpdftk
+    http://git.auf.org/?p=dmha.git;a=tree;f=gpdftk
 
-Upstream Author(s):
+Upstream Author:
 
-    Doan Manh Ha <doan.manh.ha@auf.org>
+    Đoàn Mạnh Hà <doan.manh.ha@auf.org>
 
 Copyright:
 
-    Copyright (C) 2009-2010  Agence universitaire de la Francophonie
+    Copyright (C) 2009-2014  Agence universitaire de la Francophonie
 
 License:
 
@@ -35,10 +35,6 @@ Public License can be found in `/usr/share/common-licenses/GPL'.
 
 The Debian packaging is:
 
-    Copyright C) 2010, Doan Manh Ha <doan.manh.ha@auf.org>
+    Copyright C) 2010-2014, Đoàn Mạnh Hà <doan.manh.ha@auf.org>
 
 and is licensed under the GPL, see above.
-
-
-# Please also look if there are files or directories which have a
-# different copyright/license attached and list them here.
diff --git a/gpdftk/debian/dirs b/gpdftk/debian/dirs
deleted file mode 100644 (file)
index 8fa061d..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-usr/bin
-usr/share/applications
diff --git a/gpdftk/debian/files b/gpdftk/debian/files
new file mode 100644 (file)
index 0000000..77a215c
--- /dev/null
@@ -0,0 +1 @@
+gpdftk_1204.1_all.deb text optional
diff --git a/gpdftk/debian/gpdftk.debhelper.log b/gpdftk/debian/gpdftk.debhelper.log
new file mode 100644 (file)
index 0000000..545a50f
--- /dev/null
@@ -0,0 +1,45 @@
+dh_auto_configure
+dh_auto_build
+dh_auto_test
+dh_prep
+dh_installdirs
+dh_auto_install
+dh_install
+dh_installdocs
+dh_installchangelogs
+dh_installexamples
+dh_installman
+dh_installcatalogs
+dh_installcron
+dh_installdebconf
+dh_installemacsen
+dh_installifupdown
+dh_installinfo
+dh_pysupport
+dh_installinit
+dh_installmenu
+dh_installmime
+dh_installmodules
+dh_installlogcheck
+dh_installlogrotate
+dh_installpam
+dh_installppp
+dh_installudev
+dh_installwm
+dh_installxfonts
+dh_installgsettings
+dh_bugfiles
+dh_ucf
+dh_lintian
+dh_gconf
+dh_icons
+dh_perl
+dh_usrlocal
+dh_link
+dh_compress
+dh_fixperms
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
+dh_builddeb
diff --git a/gpdftk/debian/gpdftk.substvars b/gpdftk/debian/gpdftk.substvars
new file mode 100644 (file)
index 0000000..abd3ebe
--- /dev/null
@@ -0,0 +1 @@
+misc:Depends=
diff --git a/gpdftk/debian/gpdftk/DEBIAN/control b/gpdftk/debian/gpdftk/DEBIAN/control
new file mode 100644 (file)
index 0000000..b0e2343
--- /dev/null
@@ -0,0 +1,11 @@
+Package: gpdftk
+Version: 1204.1
+Architecture: all
+Maintainer: Đoàn Mạnh Hà <doan.manh.ha@auf.org>
+Installed-Size: 39
+Depends: pdftk, zenity, nautilus, xdg-utils
+Section: text
+Priority: optional
+Homepage: http://git.auf.org/?p=dmha.git;a=tree;f=gpdftk
+Description: graphic interface to pdftk
+ A graphic interface to help using pdftk.
diff --git a/gpdftk/debian/gpdftk/DEBIAN/md5sums b/gpdftk/debian/gpdftk/DEBIAN/md5sums
new file mode 100644 (file)
index 0000000..61d1a40
--- /dev/null
@@ -0,0 +1,4 @@
+9dce4781b419acf9765c7e78ab52ab48  usr/bin/gpdftk
+3baf9318555f02eb9fa1d73839105e44  usr/share/applications/gpdftk.desktop
+6fe5c81ce02d5cc64c65901d40fa787f  usr/share/doc/gpdftk/changelog.gz
+5c91ea819a4aa32cb395938f8682ab79  usr/share/doc/gpdftk/copyright
diff --git a/gpdftk/debian/gpdftk/usr/bin/gpdftk b/gpdftk/debian/gpdftk/usr/bin/gpdftk
new file mode 100755 (executable)
index 0000000..e343cf2
--- /dev/null
@@ -0,0 +1,132 @@
+#!/bin/bash
+# gpdftk — interface graphique pour pdftk (manipulation de PDF)
+# Copyright ©2009-2010  Agence universitaire de la Francophonie
+#                       http://www.auf.org/
+# Licence : GNU General Public License, version 3
+# Auteurs : Đoàn Mạnh Hà <doan.manh.ha@auf.org>
+#           Progfou <jean-christophe.andre@auf.org>
+# Création : 2009-06-02
+# Mise à jour : 2010-04-05
+PDFVIEWER="xdg-open"
+FILEBROWSER="nautilus"
+
+TEMPFILE=`tempfile`
+trap "rm -f \"$TEMPFILE\"" 0 1 2 3 15
+
+###########################################################################
+# jointure de fichiers PDF
+###########################################################################
+
+operation_joindre() {
+  zenity --file-selection --multiple > "$TEMPFILE"
+  if [ $? != 0 ]; then return 1; fi
+  OUT=`zenity --file-selection --filename="output.pdf" --save`
+  if [ $? != 0 ]; then return 1; fi
+  eval "pdftk `sed 's/^/"/;s/|/" "/g;s/$/"/' "$TEMPFILE"` cat output \"$OUT\""
+  $PDFVIEWER "$OUT" &
+  return 0
+}
+
+###########################################################################
+# extraction de toutes les pages d'un fichier PDF
+###########################################################################
+
+operation_extraire_toutes() {
+  echo "Vous avez choisi 'extraire toutes les pages'."
+  IN=`zenity --file-selection`
+  if [ $? != 0 ]; then return 1; fi
+  DIR="$IN".tmp
+  mkdir "$DIR"
+  cd "$DIR"
+  eval "pdftk \"$IN\" burst"
+  if [ $? != 0 ]; then
+    zenity --info --text="Erreur pendant l'extraction. Un problème dans les plages spécifiées peut-être ?"
+    return 1
+  fi
+  zenity --info --text="L'extraction est terminée.
+Elle a été effectuée dans le répertoire temporaire suivant :
+  $DIR
+
+Merci d'effacer ce répertoire temporaire à la fermeture du navigateur de fichiers."
+  $FILEBROWSER .
+  return 0
+}
+
+###########################################################################
+# extraction de plages de pages d'un fichier PDF
+###########################################################################
+
+operation_selectionner_plage() {
+  echo "Vous avez choisi 'sélectionner une ou plusieurs plages de pages'."
+  IN=`zenity --file-selection`
+  if [ $? != 0 ]; then return 1; fi
+  PLAGE=`zenity --entry --text="Pour sélectionner de la page 2 à 6, saisissez comme suit : 2-6"`
+  if [ $? != 0 ]; then return 1; fi
+  OUT="${IN%.pdf}-selection.pdf"
+  eval "pdftk \"$IN\" cat \"$PLAGE\" output \"$OUT\""
+  if [ $? != 0 ]; then
+     zenity --info --text="Erreur pendant la sélection. Un problème dans les plages spécifiées peut-être ?"
+     return 1
+  fi
+  zenity --info --text="La sélection est terminée.
+Elle a été sauvegardée avec le nom de fichier suivant :
+  $OUT"
+  $PDFVIEWER "$OUT" &
+  return 0
+}
+
+###########################################################################
+# rotation de fichiers PDF
+###########################################################################
+
+operation_rotation() {
+  echo "Vous avez choisi 'effectuer une rotation'."
+  IN=`zenity --file-selection`
+  if [ $? != 0 ]; then return 1; fi
+  ROTATION=`zenity --entry --text="Pour une rotation de 90°, 180° ou 270°, saisissez comme suit : 1-endE ou 1-endS ou 1-endW"`
+  if [ $? != 0 ]; then return 1; fi
+  OUT="${IN%.pdf}-rotation.pdf"
+  eval "pdftk \"$IN\" cat \"$ROTATION\" output \"$OUT\""
+  if [ $? != 0 ]; then
+     zenity --info --text="Erreur pendant la rotation. Un problème dans la saisie peut-être ?"
+     return 1
+  fi
+  zenity --info --text="La rotation est terminée.
+Elle a été sauvegardée avec le nom de fichier suivant :
+  $OUT"
+  $PDFVIEWER "$OUT" &
+  return 0
+}
+
+###########################################################################
+# boucle de gestion du menu principal
+###########################################################################
+
+while true; do
+
+  zenity --width 430 --height 230 --list --title "Traitement des PDF" \
+    --text "Choisissez l'opération souhaitée :" \
+    --column "" --column "Opération" --radiolist \
+      - "Joindre plusieurs fichiers PDF ensemble" \
+      - "Extraire toutes les pages d'un fichier PDF" \
+      - "Sélectionner une ou plusieurs plages de pages d'un fichier PDF" \
+      - "Effectuer une rotation sur un fichier PDF" \
+      > "$TEMPFILE"
+  if [ $? = 1 ]; then exit 0; fi
+
+  case "`cat "$TEMPFILE"`" in
+    "Joindre"*)          if operation_joindre; then exit 0; fi ;;
+    "Extraire toutes"*)  if operation_extraire_toutes; then exit 0; fi ;;
+    *"plage"*)           if operation_selectionner_plage; then exit 0; fi ;;
+    *"rotation"*)        if operation_rotation; then exit 0; fi ;;
+    "")            zenity --info --text "Vous devez choisir une opération." ;;
+    *)                   echo "Erreur : cas non géré." ; exit 1 ;;
+  esac
+
+done
+
+###########################################################################
+# fin du programme
+###########################################################################
+
+exit 0
diff --git a/gpdftk/debian/gpdftk/usr/share/applications/gpdftk.desktop b/gpdftk/debian/gpdftk/usr/share/applications/gpdftk.desktop
new file mode 100644 (file)
index 0000000..70c8a06
--- /dev/null
@@ -0,0 +1,12 @@
+[Desktop Entry]
+Version=1.0
+Name=Tool to manipulate PDF files
+Name[fr]=Outil de manipulation de PDF
+Comment=Tool to manipulate PDF files
+Comment[fr]=Outil de manipulation de PDF
+Exec=gpdftk
+Terminal=false
+Type=Application
+StartupNotify=true
+Icon=accessories-text-editor
+Categories=GNOME;GTK;Utility;
diff --git a/gpdftk/debian/gpdftk/usr/share/doc/gpdftk/changelog.gz b/gpdftk/debian/gpdftk/usr/share/doc/gpdftk/changelog.gz
new file mode 100644 (file)
index 0000000..43cb07f
Binary files /dev/null and b/gpdftk/debian/gpdftk/usr/share/doc/gpdftk/changelog.gz differ
diff --git a/gpdftk/debian/gpdftk/usr/share/doc/gpdftk/copyright b/gpdftk/debian/gpdftk/usr/share/doc/gpdftk/copyright
new file mode 100644 (file)
index 0000000..6b981e6
--- /dev/null
@@ -0,0 +1,40 @@
+This package was debianized by:
+
+    Đoàn Mạnh Hà <doan.manh.ha@auf.org> on Mon, 05 Apr 2010 12:11:33 +0700
+
+It was downloaded from:
+
+    http://git.auf.org/?p=dmha.git;a=tree;f=gpdftk
+
+Upstream Author:
+
+    Đoàn Mạnh Hà <doan.manh.ha@auf.org>
+
+Copyright:
+
+    Copyright (C) 2009-2014  Agence universitaire de la Francophonie
+
+License:
+
+    This package is free software; you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation; either version 2 of the License, or
+    (at your option) any later version.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this package; if not, write to the Free Software
+    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+
+On Debian systems, the complete text of the GNU General
+Public License can be found in `/usr/share/common-licenses/GPL'.
+
+The Debian packaging is:
+
+    Copyright C) 2010-2014, Đoàn Mạnh Hà <doan.manh.ha@auf.org>
+
+and is licensed under the GPL, see above.
diff --git a/gpdftk/debian/manpage.1.ex b/gpdftk/debian/manpage.1.ex
deleted file mode 100644 (file)
index 92dc766..0000000
+++ /dev/null
@@ -1,59 +0,0 @@
-.\"                                      Hey, EMACS: -*- nroff -*-
-.\" First parameter, NAME, should be all caps
-.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
-.\" other parameters are allowed: see man(7), man(1)
-.TH GPDFTK SECTION "April  5, 2010"
-.\" Please adjust this date whenever revising the manpage.
-.\"
-.\" Some roff macros, for reference:
-.\" .nh        disable hyphenation
-.\" .hy        enable hyphenation
-.\" .ad l      left justify
-.\" .ad b      justify to both left and right margins
-.\" .nf        disable filling
-.\" .fi        enable filling
-.\" .br        insert line break
-.\" .sp <n>    insert n+1 empty lines
-.\" for manpage-specific macros, see man(7)
-.SH NAME
-gpdftk \- program to do something
-.SH SYNOPSIS
-.B gpdftk
-.RI [ options ] " files" ...
-.br
-.B bar
-.RI [ options ] " files" ...
-.SH DESCRIPTION
-This manual page documents briefly the
-.B gpdftk
-and
-.B bar
-commands.
-.PP
-.\" TeX users may be more comfortable with the \fB<whatever>\fP and
-.\" \fI<whatever>\fP escape sequences to invode bold face and italics,
-.\" respectively.
-\fBgpdftk\fP is a program that...
-.SH OPTIONS
-These programs follow the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.
-For a complete description, see the Info files.
-.TP
-.B \-h, \-\-help
-Show summary of options.
-.TP
-.B \-v, \-\-version
-Show version of program.
-.SH SEE ALSO
-.BR bar (1),
-.BR baz (1).
-.br
-The programs are documented fully by
-.IR "The Rise and Fall of a Fooish Bar" ,
-available via the Info system.
-.SH AUTHOR
-gpdftk was written by <upstream author>.
-.PP
-This manual page was written by Doan Manh Ha <doan.manh.ha@auf.org>,
-for the Debian project (and may be used by others).
index f741f30..917d9bf 100755 (executable)
@@ -9,83 +9,5 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
-
-
-configure: configure-stamp
-configure-stamp:
-       dh_testdir
-       # Add here commands to configure the package.
-
-       touch configure-stamp
-
-
-build: build-stamp
-
-build-stamp: configure-stamp  
-       dh_testdir
-
-       # Add here commands to compile the package.
-       $(MAKE)
-       #docbook-to-man debian/gpdftk.sgml > gpdftk.1
-
-       touch $@
-
-clean: 
-       dh_testdir
-       dh_testroot
-       rm -f build-stamp configure-stamp
-
-       # Add here commands to clean up after the build process.
-       $(MAKE) clean
-
-       dh_clean 
-
-install: build
-       dh_testdir
-       dh_testroot
-       dh_prep  
-       dh_installdirs
-
-       # Add here commands to install the package into debian/gpdftk.
-       $(MAKE) DESTDIR=$(CURDIR)/debian/gpdftk install
-
-
-# Build architecture-independent files here.
-binary-indep: install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: install
-       dh_testdir
-       dh_testroot
-       dh_installchangelogs 
-       dh_installdocs
-#      dh_installexamples
-#      dh_install
-#      dh_installmenu
-#      dh_installdebconf
-#      dh_installlogrotate
-#      dh_installemacsen
-#      dh_installpam
-#      dh_installmime
-#      dh_python
-#      dh_installinit
-#      dh_installcron
-#      dh_installinfo
-       dh_installman
-       dh_link
-#      dh_strip
-       dh_compress
-       dh_fixperms
-#      dh_perl
-#      dh_makeshlibs
-       dh_installdeb
-#      dh_shlibdeps
-       dh_gencontrol
-       dh_md5sums
-       dh_builddeb
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+%:
+       dh  $@
index 8e04aa5..e343cf2 100755 (executable)
@@ -7,7 +7,7 @@
 #           Progfou <jean-christophe.andre@auf.org>
 # Création : 2009-06-02
 # Mise à jour : 2010-04-05
-PDFVIEWER="epdfview"
+PDFVIEWER="xdg-open"
 FILEBROWSER="nautilus"
 
 TEMPFILE=`tempfile`
index 4c4f6c8..70c8a06 100644 (file)
@@ -1,4 +1,5 @@
 [Desktop Entry]
+Version=1.0
 Name=Tool to manipulate PDF files
 Name[fr]=Outil de manipulation de PDF
 Comment=Tool to manipulate PDF files